Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Server Containers for J2EE Support for JavaServer Pages API Reference 10g Release 2 (10.1.2) B14015-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jsp.jwcache
Class CachePolicyLoadingException

`java.lang.Object
java.lang.Throwable
java.lang.Exception
oracle.jsp.jwcache.CachePolicyLoadingException`

All Implemented Interfaces:
  java.io.Serializable

public class CachePolicyLoadingException
extends java.lang.Exception

The exception thrown if errors encountered during the loading the cache policy descriptor file.

See Also:
  Serialized Form

Constructor Summary
`CachePolicyLoadingException(java.lang.String msg)` Constructor of this exception: supplying an additional error message
`CachePolicyLoadingException(java.lang.String msg, java.lang.Throwable rootCause)` Constructor of this exception: supplying an additional error message and the root cause of the error
`CachePolicyLoadingException(java.lang.Throwable rootCause)` Constructor of this exception: supplying the root cause of the error

Method Summary
`java.lang.String` | `getMsg()` get the additional error message
`java.lang.Throwable` | `getRootCause()` get the root cause of the error
`java.lang.String` | `toString()` get the description string of the exception: including the additional error message and the root cause

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CachePolicyLoadingException

    public CachePolicyLoadingException(java.lang.String msg,
                                       java.lang.Throwable rootCause)

  Constructor of this exception: supplying an additional error message and the root cause of the error
Parameters:
  `msg` - an additional error message
  `rootCause` - the root cause of the error

### CachePolicyLoadingException

    public CachePolicyLoadingException(java.lang.Throwable rootCause)

  Constructor of this exception: supplying the root cause of the error
Parameters:
  `rootCause` - the root cause of the error

### CachePolicyLoadingException

    public CachePolicyLoadingException(java.lang.String msg)

  Constructor of this exception: supplying an additional error message
Parameters:
  `msg` - an additional error message

Method Detail

### getMsg

    public java.lang.String getMsg()

  get the additional error message
  Returns:
    the additional error message

### getRootCause

    public java.lang.Throwable getRootCause()

  get the root cause of the error
  Returns:
    the root cause of the error

### toString

    public java.lang.String toString()

  get the description string of the exception: including the additional error message and the root cause
  Returns:
    the description string of the exception

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Server Containers for J2EE Support for JavaServer Pages API Reference 10g Release 2 (10.1.2) B14015-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004, 2005, Oracle. All rights reserved.